BAKEFILIZE(1)

NAME
bakefilize - prepare Bakefile project for use with Autoconf

SYNOPSIS

bakefilize [--copy] [--dry-run] [--force] [--verbose] [--help]

DESCRIPTION

For the "autoconf" format, Bakefile creates Makefile.in files that depend on the availability of common pieces of a GNU build system. (config.guess, install-sh, etc.) These tools are part of Automake, which can copy these files into a project's directory during processing. bakefilize effectively replaces the automake --add-missing feature.

It is standard practice in Autoconf-based projects to provide a "bootstrap" script (commonly called either bootstrap or autogen.sh) to run commands like autoconf with the proper flags and in the proper order. You should run bakefilize in that script, at some point before the configure script runs.

COMMAND LINE OPTIONS

-c, --copy
    Copy the files from the Automake directory, rather than the default behavior of making symbolic links.

-n, --dry-run
    Only show the commands that would be executed.

-f, --force
    Replace all existing files, instead of only adding missing files.

-v, --verbose
    Show debugging messages.

--help
    Display usage information for bakefilize